-- vs
#version 100

// Matricies
uniform mat4 mWorld;
uniform mat4 mView;
uniform mat4 mProjection;

// Vertex Shader Attributes
attribute highp vec3 a_position;
attribute mediump vec2 a_textureUV;
attribute mediump vec2 a_textureUV2;

varying mediump vec2 v_textureUV;
varying mediump vec2 v_alphaUV;
varying mediump vec2 v_textureUV2;
varying mediump vec2 v_alphaUV2;

void main()
{
    v_textureUV = a_textureUV * vec2(1.0, 0.5);
	v_alphaUV = v_textureUV + vec2(0.0, 0.5);
    v_textureUV2 = a_textureUV2 * vec2(1.0, 0.5);
	v_alphaUV2 = v_textureUV2 + vec2(0.0, 0.5);
    gl_Position = mProjection * mView * mWorld * vec4(a_position, 1.0);
}

-- fs
#version 100

// Textures
uniform sampler2D sDiffuse;
uniform sampler2D sAlpha;
uniform lowp vec4 mixColor;

varying mediump vec2 v_textureUV;
varying mediump vec2 v_alphaUV;
varying mediump vec2 v_textureUV2;
varying mediump vec2 v_alphaUV2;

void main() 
{
    lowp vec4 tex1Color = texture2D(sDiffuse, v_textureUV);
	tex1Color.a = texture2D(sDiffuse, v_alphaUV).r;
    lowp vec4 tex2Color = texture2D(sAlpha, v_textureUV2);
	tex2Color.a = texture2D(sAlpha, v_alphaUV2).r;
    lowp vec4 result = tex2Color;
    result.rgb = tex1Color.rgb * tex2Color.rgb * mixColor.rgb;
    result.a = tex1Color.a * tex2Color.a * mixColor.a;
    gl_FragColor = result;
}
