-- vs
#version 100

precision mediump float;

// Matricies
uniform mat4 mWorld;
uniform mat4 mView;
uniform mat4 mProjection;

// Vertex Shader Attributes
attribute highp vec3 a_position;
attribute mediump vec2 a_textureUV;

varying mediump vec2 v_textureUV;

void main()
{
    v_textureUV = a_textureUV;
    gl_Position = mProjection * mView * mWorld * vec4(a_position, 1.0);
}

-- fs
#version 100

// Textures
uniform sampler2D sDiffuse;
uniform lowp vec4 mixColor;

varying mediump vec2 v_textureUV;

void main() 
{
    gl_FragColor = texture2D(sDiffuse, v_textureUV) * mixColor;
}
