-- vs
#version 100

#define mul(a,b) a * b

// Matricies
uniform mat4 mWorld;
uniform mat4 mView;
uniform mat4 mProjection;

// Vertex Shader Attributes
attribute highp vec3 a_position;
attribute mediump vec2 a_textureUV;

varying mediump vec2 v_textureUV;

void main()
{
    v_textureUV = a_textureUV;
    gl_Position = mProjection * mView * mWorld * vec4(a_position, 1.0);
}

-- fs
#version 100

#define saturate(x) clamp(x, 0.0, 1.0)

// params
uniform lowp vec4 f4ColorDiffuse;
uniform lowp vec4 f4ClorSelfIllumination;
uniform lowp float fIntencityDiffuse;
uniform lowp float fIntencitySelfIllumination;

varying mediump vec2 v_textureUV;

uniform lowp vec4 mixColor;

// Textures
uniform sampler2D sDiffuse;

void main() 
{ 
	//diffuse part
	lowp vec4 diffuseColor = f4ColorDiffuse;
	lowp vec4 diffuseColorTex = texture2D(sDiffuse, v_textureUV);
    
    diffuseColor *= (1.0 - fIntencityDiffuse);
    diffuseColor +=  fIntencityDiffuse * diffuseColorTex;

	lowp vec4 colroWithLuminence = diffuseColor * (vec4(1.0) - f4ClorSelfIllumination) + f4ClorSelfIllumination * diffuseColorTex;
	lowp vec4 result = diffuseColor * (1.0 - fIntencitySelfIllumination) + fIntencitySelfIllumination * colroWithLuminence;
	
	result *= mixColor;
		
	gl_FragColor = result;
}
