-- vs
#version 100

// Matricies
uniform mat4 mWorld;
uniform mat4 mView;
uniform mat4 mProjection;

// Vertex Shader Attributes
attribute highp vec3 a_position;
attribute mediump vec2 a_textureUV;

varying mediump vec2 v_textureUV;
varying mediump vec2 v_alphaUV;

void main()
{
    v_textureUV = a_textureUV * vec2(1.0, 0.5);
	v_alphaUV = v_textureUV + vec2(0.0, 0.5);
    gl_Position = mProjection * mView * mWorld * vec4(a_position, 1.0);
}

-- fs
#version 100

// params
varying mediump vec2 v_textureUV;
varying mediump vec2 v_alphaUV;
uniform lowp vec4 mixColor;

// Textures
uniform sampler2D sDiffuse;

void main() 
{ 
	lowp vec4 diffuseColorTex = texture2D(sDiffuse, v_textureUV);
	diffuseColorTex.a = texture2D(sDiffuse, v_alphaUV).r;
	gl_FragColor = diffuseColorTex * mixColor;
}
