-- vs
#version 100

#define mul(a,b) a * b

// Matricies
uniform mat4 mWorld;
uniform mat4 mView;
uniform mat4 mProjection;

attribute highp vec3 a_position;
attribute mediump vec2 a_textureUV;
attribute lowp vec4 a_diffuse;

varying mediump vec2 v_textureUV;

void main()
{ 
    v_textureUV = a_textureUV; 
    gl_Position = mProjection * mView * mWorld * vec4(a_position, 1.0);
}

-- fs
#version 100

// Textures
uniform sampler2D sDiffuse;
uniform mediump vec2 texelSize;
uniform mediump vec2 blurDirection;
uniform lowp vec4 mixColor;

varying mediump vec2 v_textureUV;

void main() 
{ 
	mediump vec4 pixelColor = vec4(0);

	pixelColor = pixelColor + texture2D(sDiffuse, vec2(v_textureUV.x + texelSize.x * blurDirection.x * float(-4), v_textureUV.y + texelSize.y * blurDirection.y * float(-4))) * 0.1;
	pixelColor = pixelColor + texture2D(sDiffuse, vec2(v_textureUV.x + texelSize.x * blurDirection.x * float(-3), v_textureUV.y + texelSize.y * blurDirection.y * float(-3))) * 0.2;
	pixelColor = pixelColor + texture2D(sDiffuse, vec2(v_textureUV.x + texelSize.x * blurDirection.x * float(-2), v_textureUV.y + texelSize.y * blurDirection.y * float(-2))) * 0.4;
	pixelColor = pixelColor + texture2D(sDiffuse, vec2(v_textureUV.x + texelSize.x * blurDirection.x * float(-1), v_textureUV.y + texelSize.y * blurDirection.y * float(-1))) * 0.8;
	pixelColor = pixelColor + texture2D(sDiffuse, vec2(v_textureUV.x + texelSize.x * blurDirection.x * float(0), v_textureUV.y + texelSize.y * blurDirection.y * float(0)));
	pixelColor = pixelColor + texture2D(sDiffuse, vec2(v_textureUV.x + texelSize.x * blurDirection.x * float(1), v_textureUV.y + texelSize.y * blurDirection.y * float(1))) * 0.8;
	pixelColor = pixelColor + texture2D(sDiffuse, vec2(v_textureUV.x + texelSize.x * blurDirection.x * float(2), v_textureUV.y + texelSize.y * blurDirection.y * float(2))) * 0.4;
	pixelColor = pixelColor + texture2D(sDiffuse, vec2(v_textureUV.x + texelSize.x * blurDirection.x * float(3), v_textureUV.y + texelSize.y * blurDirection.y * float(3))) * 0.2;
	pixelColor = pixelColor + texture2D(sDiffuse, vec2(v_textureUV.x + texelSize.x * blurDirection.x * float(4), v_textureUV.y + texelSize.y * blurDirection.y * float(4))) * 0.1;
	
	gl_FragColor = pixelColor * 0.25 * mixColor;
}
