-- vs
#version 100

#define mul(a,b) a * b

// Matricies
uniform mat4 mWorld;
uniform mat4 mView;
uniform mat4 mProjection;

attribute highp vec3 a_position;
attribute mediump vec2 a_textureUV;
uniform lowp vec4 a_fogColor;
uniform highp float a_fogDensity;

varying mediump vec2 v_textureUV;
varying lowp float v_fogFactor;
varying lowp vec4 v_fogColor;

void main()
{
    v_textureUV = a_textureUV;
    highp vec4 point = mProjection * mView * mWorld * vec4(a_position, 1.0);
    gl_Position = point;
    v_fogFactor = clamp(1.0 - exp(point.z * a_fogDensity), 0.0, 1.0);
    v_fogColor = a_fogColor * v_fogFactor;
    v_fogFactor = 1.0 - v_fogFactor;
}

-- fs
#version 100

#define saturate(x) clamp(x, 0.0, 1.0)

// params
uniform lowp float fMaterialSpecularLevel;
uniform lowp vec4 f4ClorSelfIllumination;

// Textures
uniform sampler2D sDiffuse;

//camera view
uniform mediump vec3 specDirection;

// Lights
uniform mediump vec3 lightsDirection;
uniform lowp vec4 lightsDiffuse;
uniform lowp vec4 lightsSpecular;
uniform lowp vec4 lightsAmbient;

uniform lowp vec4 mixColor;

uniform lowp float fContrast;
uniform lowp float fBright;

varying mediump vec2 v_textureUV;
varying mediump vec3 v_normal;
varying lowp float v_fogFactor;
varying lowp vec4 v_fogColor;

void main() 
{
    lowp vec4 result = texture2D(sDiffuse, v_textureUV);
    result.a = result.a * mixColor.a;
    //result.rgb = result.rgb * v_fogFactor + v_fogColor.rgb;
    gl_FragColor = result;
}
