-- vs
#version 100

// Matricies
uniform mat4 mWorld;
uniform mat4 mView;
uniform mat4 mProjection;

// Vertex Shader Attributes
attribute highp vec3 a_position;
attribute mediump vec2 a_textureUV;
attribute lowp vec4 a_diffuse;

varying vec2 v_textureUV;
varying lowp vec4 v_diffuse;

void main()
{
    v_textureUV = a_textureUV;
    v_diffuse = a_diffuse;
    gl_Position = mProjection * mView * mWorld * vec4(a_position, 1.0);
}

-- fs
#version 100

// Textures
uniform sampler2D sDiffuse;

varying mediump vec2 v_textureUV;
varying lowp vec4 v_diffuse;

void main() 
{
    gl_FragColor = texture2D(sDiffuse, v_textureUV) * v_diffuse;
}
