-- vs
#version 100

// Matricies
uniform mat4 mWorld;
uniform mat4 mView;
uniform mat4 mProjection;

// Vertex Shader Attributes
attribute highp vec3 a_position;
attribute mediump vec2 a_textureUV;
attribute lowp vec4 a_diffuse;

varying mediump vec2 v_v2TexCoord;
varying mediump vec2 v_v2AlphaCoord;
varying lowp vec4 v_diffuse;

void main()
{
	v_v2TexCoord = a_textureUV * vec2(1.0, 0.5);
	v_v2AlphaCoord = v_v2TexCoord + vec2(0.0, 0.5);
    v_diffuse = a_diffuse;
    gl_Position = mProjection * mView * mWorld * vec4(a_position, 1.0);
}

-- fs
#version 100

// Textures
uniform sampler2D sDiffuse;

varying mediump vec2 v_v2TexCoord;
varying mediump vec2 v_v2AlphaCoord;
varying lowp vec4 v_diffuse;

void main() 
{
	lowp vec4 v4Colour = texture2D(sDiffuse, v_v2TexCoord);
	v4Colour.a = texture2D(sDiffuse, v_v2AlphaCoord).r;
    gl_FragColor = v4Colour * v_diffuse;
}
