-- vs
#version 100

precision mediump float;

// Matricies
uniform mat4 mWorld;
uniform mat4 mView;
uniform mat4 mProjection;

uniform mat4 mSTMatrix;
uniform mat4 mSTMatrix2;

// Vertex Shader Attributes
attribute vec3 a_position;
attribute vec2 a_textureUV;
attribute vec2 a_textureUV2;

varying vec2 v_textureUV;
varying vec2 v_textureUV2;

void main()
{
   	v_textureUV = (mSTMatrix * vec4(a_textureUV, 0.0, 1.0)).xy;
    v_textureUV2 = (mSTMatrix2 * vec4(a_textureUV2, 0.0, 1.0)).xy;
    gl_Position = mProjection * mView * mWorld * vec4(a_position, 1.0);
}

-- fs
#version 100
#extension GL_OES_EGL_image_external : require

precision mediump float;

// Textures
uniform samplerExternalOES sDiffuse;
uniform samplerExternalOES sSpecular;

varying vec2 v_textureUV;
varying vec2 v_textureUV2;

uniform lowp vec4 mixColor;

void main() 
{
    lowp vec4 color;
    color = texture2D(sDiffuse, v_textureUV);
    color.a = texture2D(sSpecular, v_textureUV2).g;
    gl_FragColor = color * mixColor;
}
