-- vs
#version 100

precision mediump float;

// Matricies
uniform mat4 mWorld;
uniform mat4 mView;
uniform mat4 mProjection;

// Vertex Shader Attributes
attribute vec3 a_position;
attribute vec2 a_textureUV;
attribute vec2 a_textureUV2;

varying vec2 v_textureUV;
varying vec2 v_textureUV2;

void main()
{
    v_textureUV = a_textureUV;
    v_textureUV2 = a_textureUV2;
    gl_Position = mProjection * mView * mWorld * vec4(a_position, 1.0);
}

-- fs
#version 100

precision mediump float;

// Textures
uniform sampler2D sDiffuse;

varying vec2 v_textureUV;
varying vec2 v_textureUV2;

uniform lowp vec4 mixColor;

void main() 
{
    gl_FragColor = texture2D(sDiffuse, v_textureUV) * mixColor;
}
